X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

Unable to download Flash Player Plugin 11.7.700.224

Posted

Cannot play games due to inability to update Flash Player Plugin in Firefox. Firefox notes that I need to update, but will not let me do it. Every time I click "Update Now" or type "unable to update Adobe Flash Player Plugin 11.7.700.224", another Firefox screen appears, stating something like "Flash Player 11.6 to 10. blah-blah" has problems and has been blocked by Firefox. I KNOW THIS!! That's why I am trying to update Flash Player Plugin, as Firefox has suggested. As far as I can tell, I have deleted everything having to do with Flash Player...so why am I not able to download the newest version? (I went to Adobe website to make sure everything was deleted, and it showed I had no Flash Player installed.) Am I doing something wrong? I have been trying to download this for quite a while, to no avail. Any help would be greatly appreciated.

Additional System Details

Application

  • User Agent: Mozilla/5.0 (Windows NT 6.0; rv:21.0) Gecko/20100101 Firefox/21.0

More Information

cor-el
  • Top 10 Contributor
  • Moderator
10762 solutions 96861 answers

Helpful Reply

You can find the latest Flash player versions for Firefox on this page.

pineapple4 0 solutions 1 answers

I have been unable to update for ages. I wasn't getting a message but on trying to download from the Adobe site there was no response. It finally let me do it today - in fact a prompt came up - after I had first updated Adobe in IE. No idea why this worked but it did!

Modified by pineapple4